> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get snapshot

> Fetch a snapshot by ID. Requires List access to the dataset



## OpenAPI

````yaml /api-specs/6.3/public-api.json get /api/datasetrw/v1/snapshots/{snapshotId}
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.3.1
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: AI Gateway
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/datasetrw/v1/snapshots/{snapshotId}:
    get:
      tags:
        - Datasets
      summary: Get snapshot
      description: Fetch a snapshot by ID. Requires List access to the dataset
      operationId: getSnapshot
      parameters:
        - description: Snapshot ID
          example: 62604702b7e5d347dbe7a909
          in: path
          name: snapshotId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SnapshotEnvelopeV1'
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
      security:
        - DominoApiKey: []
        - BearerAuthentication: []
components:
  schemas:
    SnapshotEnvelopeV1:
      properties:
        metadata:
          $ref: '#/components/schemas/MetadataV1'
        snapshot:
          $ref: '#/components/schemas/SnapshotDetailsV1'
      required:
        - snapshot
        - metadata
      type: object
    MetadataV1:
      properties:
        notices:
          description: Notices relating to the request
          items:
            type: string
          type: array
        requestId:
          type: string
      required:
        - requestId
        - notices
      type: object
    SnapshotDetailsV1:
      properties:
        createdAt:
          description: When the snapshot was created
          example: '2022-03-12T02:13:44.467Z'
          format: date-time
          type: string
        creatorId:
          description: ID of the user who created this snapshot
          type: string
        datasetId:
          description: ID of the dataset this snapshot belongs to
          type: string
        description:
          type: string
        id:
          description: ID of this snapshot
          type: string
        lastMounted:
          description: When the snapshot was last mounted
          format: date-time
          type: string
        status:
          enum:
            - active
            - markForDeletion
            - deletionInProgress
            - deleted
            - pending
            - failed
            - copying
          type: string
      required:
        - id
        - datasetId
        - createdAt
        - status
      type: object
    ErrorV1:
      properties:
        code:
          description: Machine-readable error code.
          example: NOT_FOUND
          type: string
        message:
          description: Human-readable description of the error.
          example: The requested HPC Job could not be found.
          type: string
      required:
        - message
      type: object
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          example:
            code: UNAUTHORIZED
            message: Authentication is required to access this resource.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Unauthorized - authentication is required or has failed.
    '403':
      content:
        application/json:
          example:
            code: FORBIDDEN
            message: You do not have permission to perform this action.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Forbidden - the caller lacks permission to perform this action.
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    BearerAuthentication:
      type: apiKey
      name: Authorization
      in: header

````

## Related topics

- [Get snapshot by ID](/6.3/api-reference/netapp-volumes-snapshots/get-snapshot-by-id.md)
- [Get snapshot by volume ID and snapshot version](/6.3/api-reference/netapp-volumes-snapshots/get-snapshot-by-volume-id-and-snapshot-version.md)
- [Get snapshots belonging to dataset](/6.3/api-reference/datasets/get-snapshots-belonging-to-dataset.md)
- [Get snapshot file metadata at path](/6.3/api-reference/datasets/get-snapshot-file-metadata-at-path.md)
